LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDatabaseParameterBroadcaster2 Interface Reference

provides the possibility of receiving an event for configuration of parameters. More...

`import"XDatabaseParameterBroadcaster2.idl";`

Inheritance diagram for XDatabaseParameterBroadcaster2:

## Public Member Functions
void | addDatabaseParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| registers an XDatabaseParameterListener More...
void | removeDatabaseParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| revokes an XDatabaseParameterListener More...
Public Member Functions inherited from XDatabaseParameterBroadcaster
void | addParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| adds the specified listener, to allow it to fill in necessary parameter values. More...
void | removeParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the possibility of receiving an event for configuration of parameters.

Note that this interface provides exactly the same functionality as the XDatabaseParameterBroadcaster interface. It exists purely for compatibility with the com::sun::star::script::XEventAttacher::attachSingleEventListener(): It expects the methods for adding and removing listeners to follow a certain naming scheme, respective to the name of the listener which is being added/removed.

See also
  XDatabaseParameterBroadcaster
  com::sun::star::script::XEventAttacher

## Member Function Documentation

## ◆ addDatabaseParameterListener()

void addDatabaseParameterListener | ( | [in] com::sun::star::form::XDatabaseParameterListener | aListener | ) |

registers an XDatabaseParameterListener

This method behaves exactly as the XDatabaseParameterBroadcaster::addParameterListener() method inherited from the base interface.

## ◆ removeDatabaseParameterListener()

void removeDatabaseParameterListener | ( | [in] com::sun::star::form::XDatabaseParameterListener | aListener | ) |

revokes an XDatabaseParameterListener

This method behaves exactly as the XDatabaseParameterBroadcaster::removeParameterListener() method inherited from the base interface.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XDatabaseParameterBroadcaster2.idl